# TODO
# - save config to /etc:
# $ phpcs --config-set default_standard PEAR
# PHP Warning:  file_put_contents(/usr/share/pear/data/PHP_CodeSniffer/CodeSniffer.conf): failed to open stream: Permission denied in /usr/share/pear/PHP/CodeSniffer.php on line 1532
%define		status		alpha
%define		pearname	PHP_CodeSniffer
%define		php_min_version 5.1.2
%include	/usr/lib/rpm/macros.php
Summary:	PHP_CodeSniffer tokenises PHP code and detects violations of a defined set of coding standards
Summary(pl.UTF-8):	PHP_CodeSniffer analizuje kod PHP pod kątem naruszeń zdefiniowanych standardów kodowania
Name:		php-pear-%{pearname}
Version:	1.3.6
Release:	1
Epoch:		1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	e716e14517ce3f6cb3a3df0d068570dd
Patch0:		case-sensitive.patch
URL:		http://pear.php.net/package/PHP_CodeSniffer/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= %{php_min_version}
Requires:	php-pear
Suggests:	php-pear-PHP_Timer
Suggests:	php-phpunit-PHP_Timer
Obsoletes:	php-pear-PHP_CodeSniffer-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq pear(PHP/CodeSniffer/../CodeSniffer.php) pear($dir/{$standard}CodingStandard.php) pear(PHP/Timer.*)

%description
PHP_CodeSniffer is a PHP5 script that tokenises and "sniffs" PHP code
to detect violations of a defined set of coding standards. It is an
essential development tool that ensures that your code remains clean
and consistent. It can even help prevent some common semantic errors
made by developers.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
PHP_CodeSniffer jest skryptem PHP5 służącym do rozkładu tekstu kodu
PHP w celu wykrycia naruszeń pewnych zdefiniowanych standardów
kodowania. Jest to istotne narzędzie, dzięki któremu można zapewnić
czystość i spójność kodu. Może także pomóc w zapobieganiu popełniania
przez programistów pewnych częstych błędów semantycznych.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -p .%{_bindir}/phpcs $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/phpcs
%{php_pear_dir}/PHP/CodeSniffer
%{php_pear_dir}/PHP/CodeSniffer.php

%{php_pear_dir}/data/PHP_CodeSniffer
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PHP_CodeSniffer.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 32e16ce
- updated to: 1.3.6

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 84db333
- up to 1.3.3

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 9bff18d
- up to 1.3.1

* Wed Aug 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b6574e
- epoch 2; rel 2, so will be never that previous RC

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 265f8ea
- up to 1.3.0 release

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 19c5d2b
- up to real 1.3.0RC2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d99b72a
- tests are no longer installed - don't try to remove them

* Tue Dec 21 2010 Elan Ruusamäe <glen@pld-linux.org> df44228
- new snap, svn r306534

* Mon Dec 20 2010 Elan Ruusamäe <glen@pld-linux.org> 5b6c826
- new snap (r306408)

* Fri Nov 19 2010 Elan Ruusamäe <glen@pld-linux.org> 5a441d6
- new snap:
  - Fixed bug #17860 : isReference function fails with references in array
  - Fixed bug #18073 : Squiz.PHP.NonExecutableCode fault

* Thu Nov 18 2010 Elan Ruusamäe <glen@pld-linux.org> c3b7c03
- 1.3.0RC2 svn snap

* Thu Nov 18 2010 Elan Ruusamäe <glen@pld-linux.org> faf3baa
- pff, make exclude rules case sensitive

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 27ff6e7
- up to 1.3.0RC1

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> aae2766
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b566c9f
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> e136d69
- up to 1.3.0a1

* Thu May 20 2010 Elan Ruusamäe <glen@pld-linux.org> dfd0e29
- config path todo

* Mon May 03 2010 Elan Ruusamäe <glen@pld-linux.org> bc56446
- up to 1.2.2

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 9331faa
- updated to 1.1.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c932fc1
- rel 2

